"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.readFile = readFile;
function readFile(file) {
  if (!file) {
    return Promise.resolve(null);
  }

  var reader = new FileReader();
  var loaded = new Promise(function (resolve, reject) {
    reader.addEventListener("load", resolve, false);
    reader.addEventListener("error", reject, false);
    reader.addEventListener("abort", reject, false);
  });

  reader.readAsDataURL(file);

  return loaded.then(function (event) {
    // data:text/plain;base64,Zm9vCg
    var _splitDataURL = splitDataURL(event.target.result),
        type = _splitDataURL.type,
        body = _splitDataURL.body;

    return {
      body: body,
      type: type,
      name: file.name
    };
  });
}

function splitDataURL(str) {
  var protocolIndex = str.indexOf(":");
  var mimeIndex = str.indexOf(";", protocolIndex);
  var startIndex = str.indexOf(",", mimeIndex);

  return {
    type: str.slice(protocolIndex + 1, mimeIndex),
    body: str.slice(startIndex + 1)
  };
}