# Contributing to lesshint

It seems like you're interested in contributing to lesshint? Awesome! Just check this document real quick and you'll be on your way.

## Bug reports
1. Check the older issues, it might have been reported already.
2. Check which version you're using. If not the latest, please check again with the latest version. It might have been fixed already.
3. If the issue still persists, congratulations! You've probably found a bug.
Please open a new issue and include as much info as possible. Things we love to have:
    * A quick summary of the problem.
    * An example of some code that's failing. Nothing helps as much as this.
    * Possible solutions or other relevant information/suggestions. Tell us if you're interested in submitting a PR etc.

## New features
If you have an idea for a new linter or a new feature, please file an issue first to see if it fits the scope of this project.
That way no one's time needs to be wasted.

## Pull requests
All bug fixes and new features are must be accompanied by tests.
See the `tests` directory for some examples and run `npm test` before committing to ensure everything passes and the code style is consistent.
